ManagementUtils (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.server.managers.resources
Class ManagementUtils

    java.lang.Object
      org.gcube.resourcemanagement.support.server.managers.resources.ManagementUtils

    public class ManagementUtils

extends Object

A support class containing operations to manage multiple resources. Here are provided the functionalities to delete/addToScope/deploy groups of homogeneous resources.

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`ManagementUtils()`

Method Summary
`static String` | `addToExistingScope(AllowedResourceTypes type, String[] resourceIDs, org.gcube.common.scope.impl.ScopeBean sourceScope, org.gcube.common.scope.impl.ScopeBean targetScope)` Applies the add to scope to multiple resources having the same type.
`static void` | `delete(AllowedResourceTypes type, String[] resourceIDs, org.gcube.common.scope.impl.ScopeBean scope)`
`static String` | `deploy(org.gcube.common.scope.impl.ScopeBean scope, String[] ghnsID, String[] servicesID)` Makes the deployment of software on a list of ghns.
`static void` | `main(String[] args)`
`static String` | `removeFromExistingScope(AllowedResourceTypes type, String[] resourceIDs, org.gcube.common.scope.impl.ScopeBean sourceScope, org.gcube.common.scope.impl.ScopeBean targetScope)` Applies the add to scope to multiple resources having the same type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagementUtils

    public ManagementUtils()

Method Detail

### addToExistingScope

    public static final String addToExistingScope(AllowedResourceTypes type,
                                                  String[] resourceIDs,
                                                  org.gcube.common.scope.impl.ScopeBean sourceScope,
                                                  org.gcube.common.scope.impl.ScopeBean targetScope)
                                           throws Exception

  Applies the add to scope to multiple resources having the same type.

  Parameters:
    `type` -
    `resources` -
    `sourceScope` -
    `targetScope` -
  Returns:
    the generated report ID
  Throws:
    `Exception`

### removeFromExistingScope

    public static final String removeFromExistingScope(AllowedResourceTypes type,
                                                       String[] resourceIDs,
                                                       org.gcube.common.scope.impl.ScopeBean sourceScope,
                                                       org.gcube.common.scope.impl.ScopeBean targetScope)
                                                throws Exception

  Applies the add to scope to multiple resources having the same type.

  Parameters:
    `type` -
    `resources` -
    `sourceScope` -
    `targetScope` -
  Returns:
    the generated report ID
  Throws:
    `Exception`

### delete

    public static void delete(AllowedResourceTypes type,
                              String[] resourceIDs,
                              org.gcube.common.scope.impl.ScopeBean scope)
                       throws AbstractResourceException

  Throws:
    `AbstractResourceException`

### deploy

    public static final String deploy(org.gcube.common.scope.impl.ScopeBean scope,
                                      String[] ghnsID,
                                      String[] servicesID)
                               throws Exception

  Makes the deployment of software on a list of ghns.

  Parameters:
    `ghnsID` -
    `servicesID` -
  Returns:
    the generated report ID
  Throws:
    `Exception`

### main

    public static final void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.